templates:
- github
- cmake-cpp
- base

variables:
  description: Ignition Rendering library

  github.user: ignitionrobotics
  github.project: ign-rendering

  branches:
  - master
  - ign-rendering0
  - ign-rendering1
  - ign-rendering2

  extra-provides:
  - nature: cmake
    target: ignition-rendering
  extra-requires:
  - nature: cmake
    target: ogre
  - nature: cmake
    target: ignition-common
  - nature: cmake
    target: ignition-math
  - nature: cmake
    target: ignition-plugin
  - nature: cmake
    target: ignition-cmake
